COMPUTE votf1a = votf1 .
DISCRIMINANT
  /GROUPS=votf1(1 2)
  /VARIABLES=cons age scola reven occup langm sexe 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (votf1a >= 6) | missing(votf1a) votf1a = dis_1 .

COMPUTE votp1a = votp1 .
DISCRIMINANT
  /GROUPS=votp1(1 3)
  /VARIABLES=cons age scola reven occup langm sexe 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (votp1a >= 98) | missing(votp1a) | (votp1a = 95) | (votp1a = 96) votp1a = dis_2 .

COMPUTE ref1a = ref1 .
DISCRIMINANT
  /GROUPS=ref1(1 2)
  /VARIABLES=cons age scola reven occup langm sexe 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (ref1a >= 98) | missing(ref1a) ref1a = dis_3 .

var lab votf1a "Affectation des discrets par analyse discriminante".
val lab votf1a 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE_FD" 6 "ABSTENTION_FD" 7 "ANNULE_FD".

var lab votp1a "Affectation des discrets par analyse discriminante".
val lab votp1a 1 "PLQ" 2 "PQ" 3 "ADQ" 95 "ABSTENTION_QC" 96 "ANNULE_QC" 97 "AUTRE_QC".

var lab ref1a "Affectation des discrets par analyse discriminante".
val lab ref1a 1 "POUR" 2 "CONTRE".

EXECUTE .

