COMPUTE q5a = q5 .
DISCRIMINANT
  /GROUPS=q5(1 2)
  /VARIABLES=q8 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q5a >= 6) | missing(q5a) q5a = dis_1 .

COMPUTE q2a = q2 .
DISCRIMINANT
  /GROUPS=q2(1 3)
  /VARIABLES=q8 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q2a >= 98) | missing(q2a) | (q2a = 95) | (q2a = 96) q2a = dis_2 .

COMPUTE q9a = q9 .
DISCRIMINANT
  /GROUPS=q9(1 2)
  /VARIABLES=q8 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q9a >= 98) | missing(q9a) q9a = dis_3 .

var lab q5a "Affectation des discrets par analyse discriminante".
val lab q5a 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE_FD" 6 "ABSTENTION_FD" 7 "ANNULE_FD".

var lab q2a "Affectation des discrets par analyse discriminante".
val lab q2a 1 "PLQ" 2 "PQ" 3 "ADQ" 95 "ABSTENTION_QC" 96 "ANNULE_QC" 97 "AUTRE_QC".

var lab q9a "Affectation des discrets par analyse discriminante".
val lab q9a 1 "POUR" 2 "CONTRE".

EXECUTE .

