COMPUTE q6a = q6 .
DISCRIMINANT
  /GROUPS=q6(1 2)
  /VARIABLES=q9 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q6a >= 6) | missing(q6a) q6a = dis_1 .

COMPUTE q3a = q3 .
DISCRIMINANT
  /GROUPS=q3(1 3)
  /VARIABLES=q9 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q3a >= 98) | missing(q3a) | (q3a = 95) | (q3a = 96) q3a = dis_2 .


var lab q6a "Affectation des discrets par analyse discriminante".
val lab q6a 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE_FD" 6 "ABSTENTION_FD" 7 "ANNULE_FD".

var lab q3a "Affectation des discrets par analyse discriminante".
val lab q3a 1 "PLQ" 2 "PQ" 3 "ADQ" 95 "ABSTENTION_QC" 96 "ANNULE_QC" 97 "AUTRE_QC".


EXECUTE .

