COMPUTE q4a = q4 .
DISCRIMINANT
  /GROUPS=q4(1 2)
  /VARIABLES=q7 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q4a >= 6) | missing(q4a) q4a = dis_1 .

COMPUTE q1a = q1 .
DISCRIMINANT
  /GROUPS=q1(1 3)
  /VARIABLES=q7 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q1a >= 98) | missing(q1a) | (q1a = 95) | (q1a = 96) q1a = dis_2 .

COMPUTE q8a = q8 .
DISCRIMINANT
  /GROUPS=q8(1 2)
  /VARIABLES=q7 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q8a >= 98) | missing(q8a) q8a = dis_3 .

var lab q4a "Affectation des discrets par analyse discriminante".
val lab q4a 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE_FD" 6 "ABSTENTION_FD" 7 "ANNULE_FD".

var lab q1a "Affectation des discrets par analyse discriminante".
val lab q1a 1 "PLQ" 2 "PQ" 3 "ADQ" 95 "ABSTENTION_QC" 96 "ANNULE_QC" 97 "AUTRE_QC".

var lab q8a "Affectation des discrets par analyse discriminante".
val lab q8a 1 "POUR" 2 "CONTRE".

EXECUTE .

