COMPUTE q34a = q34 .
DISCRIMINANT
  /GROUPS=q34(1 3)
  /VARIABLES=jhg q42r q43 q48 q44 q49 q50 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q34a >= 98) | missing(q34a) q34a = dis_1 .

COMPUTE q31a = q31 .
DISCRIMINANT
  /GROUPS=q31(1 3)
  /VARIABLES=jhg q42r q43 q48 q44 q49 q50 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q31a >= 98) | missing(q31a) q31a = dis_2 .

COMPUTE q39a = q39 .
DISCRIMINANT
  /GROUPS=q39(1 2)
  /VARIABLES=jhg q42r q43 q48 q44 q49 q50 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q39a >= 98) | missing(q39a) q39a = dis_3 .

var lab q34a "Affectation des discrets par analyse discriminante".
val lab q34a 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE_FD" 6 "ABSTENTION_FD" 7 "ANNULE_FD".

var lab q31a "Affectation des discrets par analyse discriminante".
val lab q31a 1 "PLQ" 2 "PQ" 3 "ADQ" 95 "ABSTENTION_QC" 96 "ANNULE_QC" 97 "AUTRE_QC".

var lab q39a "Affectation des discrets par analyse discriminante".
val lab q39a 1 "POUR" 2 "CONTRE".

EXECUTE .

