COMPUTE q34b = q34 .
DISCRIMINANT
  /GROUPS=q34(1 2)
  /VARIABLES=jhg q42r q43 q48 q44 q49 q50 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q34b >=6) | missing(q34b) q34b = dis_1 .

COMPUTE q31b = q31 .
DISCRIMINANT
  /GROUPS=q31(1 3)
  /VARIABLES=jhg q42r q43 q48 q44 q49 q50 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q31b >= 95) | missing(q31b) q31b = dis_2 .

COMPUTE q39b = q39 .
DISCRIMINANT
  /GROUPS=q39(1 2)
  /VARIABLES=jhg q42r q43 q48 q44 q49 q50 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q39b >= 98) | missing(q39b) q39b = dis_3 .

var lab q34b "Affectation des discrets par analyse discriminante".
val lab q34b 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE_FD" 6 "ABSTENTION_FD" 7 "ANNULE_FD".

var lab q31b "Affectation des discrets par analyse discriminante".
val lab q31b 1 "PLQ" 2 "PQ" 3 "ADQ" 95 "ABSTENTION_QC" 96 "ANNULE_QC" 97 "AUTRE_QC".

var lab q39b "Affectation des discrets par analyse discriminante".
val lab q39b 1 "POUR" 2 "CONTRE".

EXECUTE .

